Supported Operating Systems
Supported Applications
Supported Virtualization

Supported Operating Systems

Product Supported Operating System LifeKeeper for Linux
v9.5.0 v9.5.1 v9.5.2 v9.6.0 v9.6.1 v9.6.2 v9.7.0 v9.8.0
LifeKeeper for Linux Red Hat Enterprise Linux 9

Note: A DataKeeper resource configuration where the resource is created with asynchronous mode and extended with synchronous mode is not supported.
9.0 to 9.1
64-Bit
(Upgrading from one kernel version to another major version such as from RHEL8 to RHEL9 is NOT supported.)
(Disks with an odd sector size cannot be used for DataKeeper.)

(RHEL 9.0 does not support DataKeeper asynchronous mode on disks that are thin provisioned.)
9.0 to 9.2
64-Bit
(Upgrading from one kernel version to another major version such as from RHEL8 to RHEL9 is NOT supported.)
(Disks with an odd sector size cannot be used for DataKeeper.)

(RHEL 9.0 does not support DataKeeper asynchronous mode on disks that are thin provisioned.)
Red Hat Enterprise Linux 8

Note: A DataKeeper resource configuration where the resource is created with asynchronous mode and extended with synchronous mode is not supported.
8.0, 8.1
64-Bit
(Upgrading from one kernel version to another major version such as from RHEL7 to RHEL8 is NOT supported.)
(Disks with an odd sector size cannot be used for DataKeeper.)
8.0 to 8.3
64-Bit

IMPORTANT NOTICE: As our valued customer, we want to proactively notify you of an issue that we discovered in the md/raid1 kernel module of several Linux releases. Due to this issue, a partial resync of data within supported versions (v9.3.2 – v9.5.1) of LifeKeeper for Linux with DataKeeper cluster nodes may NOT resync all blocks. Refer to this link for more information.


(Upgrading from one kernel version to another major version such as from RHEL7 to RHEL8 is NOT supported.)

(Disks with an odd sector size cannot be used for DataKeeper.)
Note: If you are using DataKeeper with Red Hat Enterprise Linux 8.3, login here and follow these steps when installing LifeKeeper.
8.0 to 8.4
64-Bit
(Upgrading from one kernel version to another major version such as from RHEL7 to RHEL8 is NOT supported.)
(Disks with an odd sector size cannot be used for DataKeeper.)
8.0 to 8.4
64-Bit
(Upgrading from one kernel version to another major version such as from RHEL7 to RHEL8 is NOT supported.)
(Disks with an odd sector size cannot be used for DataKeeper.)
8.0 to 8.5
64-Bit
(Upgrading from one kernel version to another major version such as from RHEL7 to RHEL8 is NOT supported.)
(Disks with an odd sector size cannot be used for DataKeeper.)
8.0 to 8.6
64-Bit
(Upgrading from one kernel version to another major version such as from RHEL7 to RHEL8 is NOT supported.)
(Disks with an odd sector size cannot be used for DataKeeper.)

(RHEL 8.6 / 9.0 does not support DataKeeper asynchronous mode on disks that are thin provisioned.)
8.0 to 8.7
64-Bit
(Upgrading from one kernel version to another major version such as from RHEL7 to RHEL8 is NOT supported.)
(Disks with an odd sector size cannot be used for DataKeeper.)

(RHEL 8.6 / 9.0 does not support DataKeeper asynchronous mode on disks that are thin provisioned.)

Note: If you are using DataKeeper with Red Hat Enterprise Linux 8.7, follow these steps when installing LifeKeeper.
8.0 to 8.8
64-Bit
(Upgrading from one kernel version to another major version such as from RHEL7 to RHEL8 is NOT supported.)
(Disks with an odd sector size cannot be used for DataKeeper.)

(RHEL 8.6 / 9.0 does not support DataKeeper asynchronous mode on disks that are thin provisioned.)

Note: If you are using DataKeeper with Red Hat Enterprise Linux 8.8, follow these steps when installing LifeKeeper.
Red Hat Enterprise Linux 7

Note: A DataKeeper resource configuration where the resource is created with asynchronous mode and extended with synchronous mode is not supported.
7.0 to 7.8
64-Bit
Note: If you are using RHEL 7.8 with DataKeeper, login here and follow these steps when installing LifeKeeper.
(Some kernel versions do not support asynchronous mode.)
7.0 to 7.9
64-Bit
Note: If you are using RHEL 7.9 with DataKeeper, login here and follow these steps when installing LifeKeeper.
(Some kernel versions do not support asynchronous mode.)
7.0 to 7.9
64-Bit
(Some kernel versions do not support asynchronous mode.)
7.0 to 7.9
64-Bit
(Some kernel versions do not support asynchronous mode.)
7.0 to 7.9
64-Bit
(Some kernel versions do not support asynchronous mode.)
7.0 to 7.9
64-Bit
(Some kernel versions do not support asynchronous mode.)
7.0 to 7.9
64-Bit
(Some kernel versions do not support asynchronous mode.)
7.0 to 7.9
64-Bit
(Some kernel versions do not support asynchronous mode.)
Red Hat Enterprise Linux 6 6.0 to 6.10
64-Bit
(6.0 NOT Recommended)
6.0 to 6.10
64-Bit
(6.0 NOT Recommended)
SUSE Linux Enterprise Server (SLES) 15(*4) (*10)

Note: A DataKeeper resource configuration where the resource is created with asynchronous mode and extended with synchronous mode is not supported.
15.0 SP1
64-Bit
(Disks with an odd sector size cannot be used for DataKeeper.)
(Upgrading from one kernel version to another major version such as from SLES 12 to SLES 15 is NOT supported.)
15.0 SP1 to SP2
64-Bit

IMPORTANT NOTICE: As our valued customer, we want to proactively notify you of an issue that we discovered in the md/raid1 kernel module of several Linux releases. Due to this issue, a partial resync of data within supported versions (v9.3.2 – v9.5.1) of LifeKeeper for Linux with DataKeeper cluster nodes may NOT resync all blocks. Refer to this link for more information.
(Disks with an odd sector size cannot be used for DataKeeper.)
(Upgrading from one kernel version to another major version such as from SLES 12 to SLES 15 is NOT supported.)

15.0 SP1 to SP2
64-Bit
(Disks with an odd sector size cannot be used for DataKeeper.)
(Upgrading from one kernel version to another major version such as from SLES 12 to SLES 15 is NOT supported.)
15.0 SP1 to SP3
64-Bit
(Disks with an odd sector size cannot be used for DataKeeper.)
(Upgrading from one kernel version to another major version such as from SLES 12 to SLES 15 is NOT supported.)
15.0 SP1 to SP3
64-Bit
(Disks with an odd sector size cannot be used for DataKeeper.)
(Upgrading from one kernel version to another major version such as from SLES 12 to SLES 15 is NOT supported.)
15.0 SP1 to SP4
64-Bit
(Disks with an odd sector size cannot be used for DataKeeper.)
(Upgrading from one kernel version to another major version such as from SLES 12 to SLES 15 is NOT supported.) Note: To install LifeKeeper v9.6.2 on SLES 15 SP 4 follow the instructions here that require downloading lk-sles15sp4-support and running ‘setup —addinfo lk-sles15sp4-support’. Note: Kernel 5.14.21-150400.24.21.2 or higher is required.
15.0 SP1 to SP4
64-Bit
(Disks with an odd sector size cannot be used for DataKeeper.)
(Upgrading from one kernel version to another major version such as from SLES 12 to SLES 15 is NOT supported.) Note: Kernel 5.14.21-150400.24.21.2 or higher is required.
15.0 SP1 to SP5
64-Bit
(Disks with an odd sector size cannot be used for DataKeeper.)
(Upgrading from one kernel version to another major version such as from SLES 12 to SLES 15 is NOT supported.)
SUSE Linux Enterprise Server (SLES) 12(*2) (*10)

Note: A DataKeeper resource configuration where the resource is created with asynchronous mode and extended with synchronous mode is not supported.
12SP1 to SP5
64-Bit
12SP1, SP2, SP3, SP4*, SP5*
64-Bit

IMPORTANT NOTICE: As our valued customer, we want to proactively notify you of an issue that we discovered in the md/raid1 kernel module of several Linux releases. Due to this issue, a partial resync of data within supported versions (v9.3.2 – v9.5.1) of LifeKeeper for Linux with DataKeeper cluster nodes may NOT resync all blocks. Refer to this link for more information.

12SP1 to SP5
64-Bit
12SP1 to SP5
64-Bit
12SP1 to SP5
64-Bit
12SP1 to SP5
64-Bit
12SP1 to SP5
64-Bit
12SP1 to SP5
64-Bit
Oracle Linux 9

Note: A DataKeeper resource configuration where the resource is created with asynchronous mode and extended with synchronous mode is not supported.
9.0 to 9.1
64-Bit (Upgrading from one kernel version to another major version such as from OL 8 to OL 9 is NOT supported.)

(Disks with an odd sector size cannot be used for DataKeeper.)

(OL 9.0 does not support DataKeeper asynchronous mode on disks that are thin provisioned.)
9.0 to 9.2
64-Bit (Upgrading from one kernel version to another major version such as from OL 8 to OL 9 is NOT supported.)

(Disks with an odd sector size cannot be used for DataKeeper.)

(OL 9.0 does not support DataKeeper asynchronous mode on disks that are thin provisioned.)
Oracle Linux 8

Note: A DataKeeper resource configuration where the resource is created with asynchronous mode and extended with synchronous mode is not supported.
8.0 to 8.2 (UEK6 is not included)

IMPORTANT NOTICE: As our valued customer, we want to proactively notify you of an issue that we discovered in the md/raid1 kernel module of several Linux releases. Due to this issue, a partial resync of data within supported versions (v9.3.2 – v9.5.1) of LifeKeeper for Linux with DataKeeper cluster nodes may NOT resync all blocks. Refer to this link for more information.
(Upgrading the Kernel from OEL 7 to OEL 8 is not supported.)

(Disks with an odd sector size cannot be used for DataKeeper.)

8.0 to 8.3 (including UEK R6)

The kernel should be updated to 5.4.17-2102.202.5 or higher for UEK R6.

(Upgrading the Kernel from OEL 7 to OEL 8 is not supported.)

(Disks with an odd sector size cannot be used for DataKeeper.)
8.0 to 8.4 (including UEK R6)

The kernel should be updated to 5.4.17-2102.202.5 or higher for UEK R6.

(Upgrading the Kernel from OEL 7 to OEL 8 is not supported.)

(Disks with an odd sector size cannot be used for DataKeeper.)
8.0 to 8.5 (including UEK R6)

The kernel should be updated to 5.4.17-2102.202.5 or higher for UEK R6.

(Upgrading the Kernel from OEL 7 to OEL 8 is not supported.)

(Disks with an odd sector size cannot be used for DataKeeper.)
8.0 to 8.6 (including UEK R6)

The kernel should be updated to 5.4.17-2102.202.5 or higher for UEK R6.

(Upgrading the Kernel from OEL 7 to OEL 8 is not supported.)

(Disks with an odd sector size cannot be used for DataKeeper.)

Note: DataKeeper asynchronous mode on thin provisioned disks is not available due to kernel issues.
8.0 to 8.7 (including UEK R6 and R7)

The kernel should be updated to 5.4.17-2102.202.5 or higher for UEK R6.

The kernel should be updated to kernel-uek-5.15.0-100.96.32or higher for UEK R7. See the Oracle Linux kernel (OL8U7) section in the Installation – Known Issues / Restrictions

(Upgrading the Kernel from OEL 7 to OEL 8 is not supported.)

(Disks with an odd sector size cannot be used for DataKeeper.)

Note: DataKeeper asynchronous mode on thin provisioned disks is not available due to kernel issues.

Note: If you are using DataKeeper with 8.7, follow these steps when installing LifeKeeper.
8.0 to 8.8 (including UEK R6 and R7)

The kernel should be updated to 5.4.17-2102.202.5 or higher for UEK R6.

The kernel should be updated to kernel-uek-5.15.0-100.96.32or higher for UEK R7. See the Oracle Linux kernel (OL8U7) section in the Installation – Known Issues / Restrictions

(Upgrading the Kernel from OEL 7 to OEL 8 is not supported.)

(Disks with an odd sector size cannot be used for DataKeeper.)

Note: DataKeeper asynchronous mode on thin provisioned disks is not available due to kernel issues.

Note: If you are using DataKeeper with 8.8, follow these steps when installing LifeKeeper.
Oracle Linux 7

Note: A DataKeeper resource configuration where the resource is created with asynchronous mode and extended with synchronous mode is not supported.
7.0 to 7.8 (including UEK R3, R4 and R5)
64-Bit
(Some kernel versions do not support asynchronous mode.)
7.0 to 7.9 (including UEK R3, R4 and R5)
64-Bit

IMPORTANT NOTICE: As our valued customer, we want to proactively notify you of an issue that we discovered in the md/raid1 kernel module of several Linux releases. Due to this issue, a partial resync of data within supported versions (v9.3.2 – v9.5.1) of LifeKeeper for Linux with DataKeeper cluster nodes may NOT resync all blocks. Refer to this link for more information.
(Some kernel versions do not support asynchronous mode.)

7.0 to 7.9 (including UEK R3, R4, R5 and R6)
64-Bit
(Some kernel versions do not support asynchronous mode.)

The kernel should be updated to 5.4.17-2102.202.5 or higher for UEK R6.

7.0 to 7.9 (including UEK R3, R4, R5 and R6)
64-Bit
(Some kernel versions do not support asynchronous mode.)

The kernel should be updated to 5.4.17-2102.202.5 or higher for UEK R6.

7.0 to 7.9 (including UEK R3, R4, R5 and R6)
64-Bit
(Some kernel versions do not support asynchronous mode.)

The kernel should be updated to 5.4.17-2102.202.5 or higher for UEK R6.

7.0 to 7.9 (including UEK R3, R4, R5 and R6)
64-Bit
(Some kernel versions do not support asynchronous mode.)

The kernel should be updated to 5.4.17-2102.202.5 or higher for UEK R6.

7.0 to 7.9 (including UEK R3, R4, R5 and R6)
64-Bit
(Some kernel versions do not support asynchronous mode.)

The kernel should be updated to 5.4.17-2102.202.5 or higher for UEK R6.

7.0 to 7.9 (including UEK R3, R4, R5 and R6)
64-Bit
(Some kernel versions do not support asynchronous mode.)

The kernel should be updated to 5.4.17-2102.202.5 or higher for UEK R6.

Oracle Linux 6
6.3 to 6.10 (including UEK R3, R4)
64-Bit

6.3 to 6.10 (including UEK R3, R4)
64-Bit
CentOS 8

Note: A DataKeeper resource configuration where the resource is created with asynchronous mode and extended with synchronous mode is not supported.
8.0, 8.1

Upgrading from one kernel version to another major version such as CentOS 7 to CentOS 8 is not supported.
8.0 to 8.2

IMPORTANT NOTICE: As our valued customer, we want to proactively notify you of an issue that we discovered in the md/raid1 kernel module of several Linux releases. Due to this issue, a partial resync of data within supported versions (v9.3.2 – v9.5.1) of LifeKeeper for Linux with DataKeeper cluster nodes may NOT resync all blocks. Refer to this link for more information.
Upgrading from one kernel version to another major version such as CentOS 7 to CentOS 8 is not supported.

(Disks with an odd sector size cannot be used for DataKeeper.)

8.0 to 8.3

Upgrading from one kernel version to another major version such as CentOS 7 to CentOS 8 is not supported.

(Disks with an odd sector size cannot be used for DataKeeper.)
8.0 to 8.3

Upgrading from one kernel version to another major version such as CentOS 7 to CentOS 8 is not supported.

(Disks with an odd sector size cannot be used for DataKeeper.)
8.0 to 8.3

Upgrading from one kernel version to another major version such as CentOS 7 to CentOS 8 is not supported.

(Disks with an odd sector size cannot be used for DataKeeper.)
8.0 to 8.3

Upgrading from one kernel version to another major version such as CentOS 7 to CentOS 8 is not supported.

(Disks with an odd sector size cannot be used for DataKeeper.)
8.0 to 8.3

Upgrading from one kernel version to another major version such as CentOS 7 to CentOS 8 is not supported.

(Disks with an odd sector size cannot be used for DataKeeper.)
8.0 to 8.3

Upgrading from one kernel version to another major version such as CentOS 7 to CentOS 8 is not supported.

(Disks with an odd sector size cannot be used for DataKeeper.)
CentOS 7

Note: A DataKeeper resource configuration where the resource is created with asynchronous mode and extended with synchronous mode is not supported.
7.0 to 7.8
64-Bit
(Some kernel versions do not support asynchronous mode.)
Note: If you are using DataKeeper with 7.8, login here and follow these steps when installing LifeKeeper.
7.0 to 7.9
64-Bit
(Some kernel versions do not support asynchronous mode.)
Note: If you are using DataKeeper with 7.9, login here and follow these steps when installing LifeKeeper.
7.0 to 7.9
64-Bit
(Some kernel versions do not support asynchronous mode.)
7.0 to 7.9
64-Bit
(Some kernel versions do not support asynchronous mode.)
7.0 to 7.9
64-Bit
(Some kernel versions do not support asynchronous mode.)
7.0 to 7.9
64-Bit
(Some kernel versions do not support asynchronous mode.)
7.0 to 7.9
64-Bit
(Some kernel versions do not support asynchronous mode.)
7.0 to 7.9
64-Bit
(Some kernel versions do not support asynchronous mode.)
CentOS 6(*3) 6.0 to 6.10
64-Bit
(6.0 DataKeeper Configuration NOT Supported)
6.0 to 6.10
64-Bit
(6.0 DataKeeper Configuration NOT Supported)
Rocky Linux 9

9.0
See Notes:
(*7) (*8) (*9)
9.1
9.2
See Notes:
(*8)
Rocky Linux 8

8.4 Only
Applications See Notes:
(*5) (*6) (*8)
8.4 , 8.5, 8.6
See Notes:
(*5) (*6) (*7) (*8) (*9 only applies to 8.6)
8.4 to 8.7
See Notes:
(*5) (*6) (*7) (*8) (*9 only applies to 8.6) (*11 only applies to 8.7)
8.4 to 8.8
See Notes:
(*5) (*6) (*7) (*8) (*9 only applies to 8.6) (*12)
Miracle Linux 9

Note: A DataKeeper resource configuration where the resource is created with asynchronous mode and extended with synchronous mode is not supported.
9.0
64-Bit
(Upgrading from one kernel version to another major version such as Miracle Linux 8 to Miracle Linux 9 is not supported.)
(Disks with an odd sector size cannot be used for DataKeeper.)
See Notes: (*9)
9.0, 9.2
64-Bit
(Upgrading from one kernel version to another major version such as Miracle Linux 8 to Miracle Linux 9 is not supported.)
(Disks with an odd sector size cannot be used for DataKeeper.)
See Notes: (*9 only applies to 9.0)
Miracle Linux 8

8.4 8.4, 8.6
See Notes:
(*8 only applies to 8.6)
8.4, 8.6, 8.8
See Notes:
(*8 only applies to 8.6) (*12)

*1 The kernel should be updated to 3.0.42-0.7.3 for SLES11SP2.
*2 The kernel should be updated to 4.4.82-6.9.1 for SLES12SP3.
*3 CentOS 6.0 – DataKeeper configuration is NOT Supported. This limitation was missing in the past release notes of each version.
*4 The kernel should be updated to 5.3.18-59.5 for SLES15SP3.
*5 Rocky Linux 8.4 to 8.6 does not support LifeKeeper Single Server Protection .
*6 Rocky Linux 8.4 to 8.6 is not supported in the Cloud. (i.e. AWS/Azure/GCP/OCI).
*7 Rocky Linux 8.5, 8.6 and 9.0 do not support GCP and OCI.
*8 SAP Recovery Kit and SAP HANA Recovery Kit are not supported.
*9 DataKeeper asynchronous mode on thin provisioned disks is not available due to kernel issues.
*10 SUSE live patching is NOT supported.
*11 If you are using DataKeeper with 8.7, follow these steps when installing LifeKeeper.
*12 If you are using DataKeeper with 8.8, follow these steps when installing LifeKeeper.

Supported Applications

Product Supported Application LifeKeeper for Linux
v9.5.0 v9.5.1 v9.5.2 v9.6.0 v9.6.1 v9.6.2 v9.7.0 v9.8.0
Apache ARK Apache HTTP Server 2.4 2.4 2.4 2.4 2.4 2.4 2.4 2.4
SAP ARK (For SAP supported OS information see LifeKeeper for SAP Solution Page) SAP NetWeaver (1*) 7.0 including Enhancement Package 1-3,
7.3 including Enhancement Package 1, 7.4, 7.5
7.0 including Enhancement Package 1-3,
7.3 including Enhancement Package 1, 7.4, 7.5
7.0 including Enhancement Package 1-3,
7.3 including Enhancement Package 1, 7.4, 7.5
7.0 including Enhancement Package 1-3,
7.3 including Enhancement Package 1, 7.4, 7.5
7.0 including Enhancement Package 1-3,
7.3 including Enhancement Package 1, 7.4, 7.5
7.0 including Enhancement Package 1-3,
7.3 including Enhancement Package 1, 7.4, 7.5
7.0 including Enhancement Package 1-3,
7.3 including Enhancement Package 1, 7.4, 7.5
7.0 including Enhancement Package 1-3,
7.3 including Enhancement Package 1, 7.4, 7.5
SAP NetWeaver AS for ABAP (1*) 7.51 innovation package, 7.52 innovation package 7.51 innovation package, 7.52 innovation package 7.51 innovation package, 7.52 innovation package 7.51 innovation package, 7.52 innovation package 7.51 innovation package, 7.52 innovation package 7.51 innovation package, 7.52 innovation package 7.51 innovation package, 7.52 innovation package 7.51 innovation package, 7.52 innovation package
SAP S/4HANA Platform (1*) 1809, 1909 Platforms 1809, 1909, 2020 Platforms 1809, 1909, 2020 Platforms 1809, 1909, 2020, 2021 Platforms 1809, 1909, 2020, 2021 Platforms 1809, 1909, 2020, 2021, 2022 Platforms 1809, 1909, 2020, 2021, 2022 Platforms 1809, 1909, 2020, 2021, 2022 Platforms
SAP MaxDB ARK SAP MaxDB 7.9 7.9 7.9 7.9 7.9 7.9 7.9 7.9
SAP HANA ARK

(For SAP HANA supported OS information see SAP HANA Supported Configurations)
SAP HANA (1*) 2.0 SPS 04

Versions prior to SAP HANA 2.0 SPS04 are not supported
2.0 SPS 04, 05

Versions prior to SAP HANA 2.0 SPS04 are not supported
2.0 SPS 04, 05

Versions prior to SAP HANA 2.0 SPS04 are not supported
2.0 SPS 04, 05, 06

Versions prior to SAP HANA 2.0 SPS04 are not supported
2.0 SPS 04, 05, 06

Versions prior to SAP HANA 2.0 SPS04 are not supported
2.0 SPS 04, 05, 06

Versions prior to SAP HANA 2.0 SPS04 are not supported
2.0 SPS 04, 05, 06

Versions prior to SAP HANA 2.0 SPS04 are not supported
2.0 SPS 04, 05, 06, 07

Versions prior to SAP HANA 2.0 SPS04 are not supported
Postfix ARK Postfix provided with the supported Linux distributions provided with the supported Linux distributions provided with the supported Linux distributions provided with the supported Linux distributions provided with the supported Linux distributions provided with the supported Linux distributions provided with the supported Linux distributions provided with the supported Linux distributions
DB2 ARK
IBM Db2 Advanced, Standard and Community Editions

Note: Advanced Enterprise Server Edition and Enterprise Server Edition are now referred to as Db2 Advanced Edition

11.5 11.5 11.5 11.5 11.5 11.5 11.5 11.5
IBM Db2 Enterprise Server Edition (ESE) and Workgroup Server Edition (WSE) 10.5, 11.1 10.5, 11.1 10.5, 11.1 10.5, 11.1 10.5, 11.1 10.5, 11.1 10.5, 11.1 10.5, 11.1
IBM Db2 Express Edition 10.5, 11.1 10.5, 11.1 10.5, 11.1 10.5, 11.1 10.5, 11.1 10.5, 11.1 10.5, 11.1 10.5, 11.1
IBM Db2 Advanced Workgroup Server Edition 10.5, 11.1 10.5, 11.1 10.5, 11.1 10.5, 11.1 10.5, 11.1 10.5, 11.1 10.5, 11.1
IBM Db2 Advanced Enterprise Server Edition 10.5, 11.1 10.5, 11.1 10.5, 11.1 10.5, 11.1 10.5, 11.1 10.5, 11.1 10.5, 11.1
PostgreSQL ARK PostgreSQL 9.5, 9.6,10,11,12 9.5, 9.6,10,11,12,13 9.6,10,11,12,13 9.6,10,11,12,13, 14 9.6,10,11,12,13, 14 9.6,10,11,12,13, 14 9.6,10,11,12,13, 14, 15 9.6,10,11,12,13, 14, 15, 16
EnterpriseDB Postgres Plus Advanced Server/EDB Postgres Advanced Server 9.5, 9.6,10,11,12 9.5, 9.6,10,11,12,13 9.6,10,11,12,13 9.6,10,11,12,13, 14 9.6,10,11,12,13, 14 9.6,10,11,12,13, 14 9.6,10,11,12,13, 14 9.6,10,11,12,13, 14, 15, 16
Symfoware Server Enterprise Edition (1*) 12.2, 12.3, 12.4 12.2, 12.3, 12.4 12.2, 12.3, 12.4 12.2, 12.3, 12.4 12.2, 12.3, 12.4 12.2, 12.3, 12.4 12.2, 12.3, 12.4 12.2, 12.3, 12.4
Symfoware Server Standard Edition (1*) 12.2, 12.3, 12.4 12.2, 12.3, 12.4 12.2, 12.3, 12.4 12.2, 12.3, 12.4 12.2, 12.3, 12.4 12.2, 12.3, 12.4 12.2, 12.3, 12.4 12.2, 12.3, 12.4
Symfoware Server Lite Edition (1*) 12.3 12.3 12.3 12.3 12.3 12.3 12.3 12.3
FUJITSU Software Enterprise Postgres Advanced Enterprise Server Edition (1*) 14SP1 14SP1 14SP1 14SP1, 15
FUJITSU Software Enterprise Postgres Advanced Edition (1*) 9.5, 10, 11 9.5, 10, 11, 12 10, 11, 12 10, 11, 12, 13 10, 11, 12, 13, 14 10, 11, 12, 13, 14 10, 11, 12, 13, 14 10, 11, 12, 13, 14
FUJITSU Software Enterprise Postgres Standard Edition (1*) 9.5, 9.6, 10, 11 9.5, 9.6, 10, 11, 12 9.6, 10, 11, 12 9.6, 10, 11, 12, 13 9.6, 10, 11, 12, 13, 14, 14SP1 9.6, 10, 11, 12, 13, 14, 14SP1 9.6, 10, 11, 12, 13, 14, 14SP1 9.6, 10, 11, 12, 13, 14, 14SP1, 15
FUJITSU Software Enterprise Postgres Community Edition (1*) 10, 11 10, 11, 12 10, 11, 12 10, 11, 12, 13 10, 11, 12, 13, 14, 14SP1 10, 11, 12, 13, 14, 14SP1 10, 11, 12, 13, 14, 14SP1 10, 11, 12, 13, 14, 14SP1, 15
PowerGres on Linux (1*) V11 V11 V11 V11 V11, V13 V11, V13 V11, V13 V11, V13, V15
PowerGres Plus (1*) V10 V10 V10 V10 V10 V10 V10, V13 V10, V13
Oracle ARK Oracle Database Enterprise Edition 12c, 12c R2, 18c, 19c 12c, 12c R2, 18c, 19c 12c, 12c R2, 18c, 19c 12c, 12c R2, 18c, 19c, 21c 12c, 12c R2, 18c, 19c, 21c 12c, 12c R2, 18c, 19c, 21c 12c, 12c R2, 18c, 19c, 21c 18c, 19c, 21c
Oracle Database Standard Edition 2 12c, 12c R2, 18c, 19c 12c, 12c R2, 18c, 19c 12c, 12c R2, 18c, 19c 12c, 12c R2, 18c, 19c, 21c 12c, 12c R2, 18c, 19c, 21c 12c, 12c R2, 18c, 19c, 21c 12c, 12c R2, 18c, 19c, 21c 18c, 19c, 21c
Sybase ASE ARK SAP Adaptive Server Enterprise 15.7, 16.0 15.7, 16.0 15.7, 16.0 15.7, 16.0 15.7, 16.0 15.7, 16.0 15.7, 16.0 15.7, 16.0
Samba ARK Standard Samba file shares provided with the supported Linux distributions provided with the supported Linux distributions provided with the supported Linux distributions provided with the supported Linux distributions provided with the supported Linux distributions provided with the supported Linux distributions provided with the supported Linux distributions provided with the supported Linux distributions
NFS Server ARK Linux kernel version
Kernel 2.6 or later
(NFSv2 is not supported on RHEL 7/CentOS 7/OL 7 or later.)
(NFS over UDP is not supported on RHEL 8 or later.)

Kernel 2.6 or later
(NFSv2 is not supported on RHEL 7/CentOS 7/OL 7 or later.)
(NFS over UDP is not supported on RHEL 8 or later.)

Kernel 2.6 or later
(NFSv2 is not supported on RHEL 7/CentOS 7/OL 7 or later.)
(NFS over UDP is not supported on RHEL 8 or later.)

Kernel 2.6 or later
(NFSv2 is not supported on RHEL 7/CentOS 7/OL 7 or later.)
(NFS over UDP is not supported on RHEL 8 or later.)

Kernel 2.6 or later
(NFSv2 is not supported on RHEL 7/CentOS 7/OL 7 or later.)
(NFS over UDP is not supported on RHEL 8 or later.)

Kernel 2.6 or later
(NFSv2 is not supported on RHEL 7/CentOS 7/OL 7 or later.)
(NFS over UDP is not supported on RHEL 8 or later.)

Kernel 2.6 or later
(NFSv2 is not supported on RHEL 7/CentOS 7/OL 7 or later.)
(NFS over UDP is not supported on RHEL 8 or later.)

Kernel 2.6 or later
(NFSv2 is not supported on RHEL 7/CentOS 7/OL 7 or later.)
(NFS over UDP is not supported on RHEL 8 or later.)
NAS ARK NFS version of Mounted NFS file systems from an NFS server or Network Attached Storage (NAS) device NFSv2
(NFSv2 is not supported on RHEL 7/CentOS 7/OL 7 or later.)
NFSv3
NFSv4
(NFS over UDP is not supported on RHEL 8 or later.)
NFSv2
(NFSv2 is not supported on RHEL 7/CentOS 7/OL 7 or later.)
NFSv3
NFSv4
(NFS over UDP is not supported on RHEL 8 or later.)
NFSv2
(NFSv2 is not supported on RHEL 7/CentOS 7/OL 7 or later.)
NFSv3
NFSv4
(NFS over UDP is not supported on RHEL 8 or later.)
NFSv2
(NFSv2 is not supported on RHEL 7/CentOS 7/OL 7 or later.)
NFSv3
NFSv4
(NFS over UDP is not supported on RHEL 8 or later.)
NFSv2
(NFSv2 is not supported on RHEL 7/CentOS 7/OL 7 or later.)
NFSv3
NFSv4
(NFS over UDP is not supported on RHEL 8 or later.)
NFSv2
(NFSv2 is not supported on RHEL 7/CentOS 7/OL 7 or later.)
NFSv3
NFSv4
(NFS over UDP is not supported on RHEL 8 or later.)
NFSv2
(NFSv2 is not supported on RHEL 7/CentOS 7/OL 7 or later.)
NFSv3
NFSv4
(NFS over UDP is not supported on RHEL 8 or later.)
NFSv2
(NFSv2 is not supported on RHEL 7/CentOS 7/OL 7 or later.)
NFSv3
NFSv4
(NFS over UDP is not supported on RHEL 8 or later.)
MySQL ARK MySQL Community Edition, MySQL Enterprise Edition 5.7, 8.0 5.7, 8.0 5.7, 8.0 5.7, 8.0 5.7, 8.0 5.7, 8.0 5.7, 8.0 5.7, 8.0
MariaDB 10.3, 10.4
(Excluding 10.1 and 10.2)
10.3, 10.4
(Excluding 10.1 and 10.2)
10.3, 10.4, 10.5
(Excluding 10.1 and 10.2)
10.3, 10.4, 10.5
(Excluding 10.1 and 10.2)
10.3, 10.4, 10.5
(Excluding 10.1 and 10.2)
10.3, 10.4, 10.5
(Excluding 10.1 and 10.2)
10.3, 10.4, 10.5
(Excluding 10.1 and 10.2)
10.3, 10.4, 10.5, 10.6, 10.11
(Excluding 10.1 and 10.2)
WebSphere MQ ARK WebSphere MQ/IBM MQ 8.0, 9.0, 9.1 8.0, 9.0, 9.1. 9.2 8.0, 9.0, 9.1, 9.2 8.0, 9.0, 9.1, 9.2 8.0, 9.0, 9.1, 9.2 8.0, 9.0, 9.1, 9.2, 9.3, 9.3.1 8.0, 9.0, 9.1, 9.2, 9.3, 9.3.1 9.1, 9.2, 9.3, 9.3.1, 9.3.2, 9.3.3, 9.3.4
VMDK as Shared Storage ARK VMware vSphere (1*) 6.5, 6.7, 7.0
(RHEL 6.x / CentOS 6.x / OEL 6.x and SLES11.x are not supported.)


(An additional step is required before creating resources with the VMDK ARK.)

(Stopping LifeKeeper without stopping resources (lkstop -f) may halt the entire system. Refer to the following for more information.)
6.5, 6.7, 7.0
(RHEL 6.x / CentOS 6.x / OEL 6.x and SLES11.x are not supported.)


(Stopping LifeKeeper without stopping resources (lkstop -f) may halt the entire system. Refer to the following for more information.)
6.5, 6.7, 7.0
(RHEL 6.x / CentOS 6.x / OEL 6.x and SLES11.x are not supported.)


(Stopping LifeKeeper without stopping resources (lkstop -f) may halt the entire system. Refer to the following for more information.)
6.5, 6.7, 7.0
(RHEL 6.x / CentOS 6.x / OEL 6.x and SLES11.x are not supported.)


(Stopping LifeKeeper without stopping resources (lkstop -f) may halt the entire system. Refer to the following for more information.)
6.5, 6.7, 7.0
(RHEL 6.x / CentOS 6.x / OEL 6.x and SLES11.x are not supported.)


(Stopping LifeKeeper without stopping resources (lkstop -f) may halt the entire system. Refer to the following for more information.)
6.5, 6.7, 7.0
(RHEL 6.x / CentOS 6.x / OEL 6.x and SLES11.x are not supported.)


(Stopping LifeKeeper without stopping resources (lkstop -f) may halt the entire system. Refer to the following for more information.)
6.5, 6.7, 7.0, 8.0
(RHEL 6.x / CentOS 6.x / OEL 6.x and SLES11.x are not supported.)


(Stopping LifeKeeper without stopping resources (lkstop -f) may halt the entire system. Refer to the following for more information.)
6.5, 6.7, 7.0, 8.0
(RHEL 6.x / CentOS 6.x / OEL 6.x and SLES11.x are not supported.)


(Stopping LifeKeeper without stopping resources (lkstop -f) may halt the entire system. Refer to the following for more information.)
(*1) LifeKeeper SSP does not support the application.

Supported Virtualization

Product Supported Virtualization LifeKeeper for Linux
v9.5.0 v9.5.1 v9.5.2 v9.6.0 v9.6.1 v9.6.2 v9.7.0 v9.8.0
LifeKeeper for Linux VMware vSphere (vSAN configuration is supported for vSphere 7.0 or later only on VMware Cloud on AWS.) 5.5, 6.0, 6.5, 6.7, 7.0 5.5, 6.0, 6.5, 6.7, 7.0 6.5, 6.7, 7.0 6.5, 6.7, 7.0 6.5, 6.7, 7.0 6.5, 6.7, 7.0 6.5, 6.7, 7.0, 8.0 6.5, 6.7, 7.0, 8.0
VMware Cloud on AWS (a single-AZ deployment) can be used with shared disks that do not use reservations and it can also be used with DataKeeper. If you want to use it, IO fencing configuration is required separately. SDDC version 1.19 or later SDDC version 1.19 or later
KVM provided with the supported Linux distributions provided with the supported Linux distributions provided with the supported Linux distributions provided with the supported Linux distributions provided with the supported Linux distributions provided with the supported Linux distributions provided with the supported Linux distributions provided with the supported Linux distributions
Oracle VM Server for x86 (It does not support shared storage.) 3 (It does not support shared storage.) 3 (It does not support shared storage.) 3 (It does not support shared storage.) 3 (It does not support shared storage.) 3 (It does not support shared storage.) 3 (It does not support shared storage.) 3 (It does not support shared storage.) 3 (It does not support shared storage.)
Nutanix Acropolis Hypervisor(AHV)
20160925.57
20160925.90

20160925.57
20160925.90

20160925.57
20160925.90

20160925.57
20160925.90

20160925.57
20160925.90

20160925.57
20160925.90

20160925.57
20160925.90

20160925.57
20160925.90
20220304.423

For a list of the disk array storage models and adapters currently supported by LifeKeeper in shared storage configurations as well as their type of certification, see the Supported Storage List.

For version requirements for SAP, see the LifeKeeper for SAP Solution Page.

Supported Cloud Platforms

Feedback

Was this helpful?

Yes No
You indicated this topic was not helpful to you ...
Could you please leave a comment telling us why? Thank you!
Thanks for your feedback.

Post your comment on this topic.

Post Comment